Package net.sf.saxon.om

## Class EmptyAttributeMap

- java.lang.Object
- - net.sf.saxon.om.EmptyAttributeMap

- All Implemented Interfaces:
    `java.lang.Iterable<AttributeInfo>`, `AttributeMap`

      public class EmptyAttributeMap
      extends java.lang.Object
      implements AttributeMap

  An implementation of AttributeMap representing an empty AttributeMap

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeMap` | `apply​(java.util.function.Function<AttributeInfo,​AttributeInfo> mapper)` |
    `AttributeInfo` | `get​(java.lang.String uri, java.lang.String local)` | Get the attribute with a given name, if it exists
    `AttributeInfo` | `get​(NodeName name)` | Get the attribute with a given name, if it exists
    `AttributeInfo` | `getByFingerprint​(int fingerprint, NamePool namePool)` |
    `static EmptyAttributeMap` | `getInstance()` |
    `java.util.Iterator<AttributeInfo>` | `iterator()` |
    `AttributeMap` | `put​(AttributeInfo att)` | Replace or add an attribute, to create a new AttributeMap
    `AttributeMap` | `remove​(NodeName name)` | Remove an existing attribute, to create a new AttributeMap
    `int` | `size()` | Return the number of attributes in the map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.AttributeMap

      `asList, getValue, itemAt, verify`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getInstance

          public static EmptyAttributeMap getInstance()

    - #### size

          public int size()

      Return the number of attributes in the map.
      Specified by:
        `size` in interface `AttributeMap`
      Returns:
        The number of attributes in the map.

    - #### get

          public AttributeInfo get​(NodeName name)

      Description copied from interface: `AttributeMap`
      Get the attribute with a given name, if it exists
      Specified by:
        `get` in interface `AttributeMap`
      Parameters:
        `name` - the name of the required attribute
      Returns:
        the required attribute if it exists

    - #### get

          public AttributeInfo get​(java.lang.String uri,
                                   java.lang.String local)

      Description copied from interface: `AttributeMap`
      Get the attribute with a given name, if it exists
      Specified by:
        `get` in interface `AttributeMap`
      Parameters:
        `uri` - the namespace part of the name of the required attribute
        `local` - the local part of the name of the required attribute
      Returns:
        the required attribute if it exists

    - #### getByFingerprint

          public AttributeInfo getByFingerprint​(int fingerprint,
                                                NamePool namePool)

      Specified by:
        `getByFingerprint` in interface `AttributeMap`

    - #### put

          public AttributeMap put​(AttributeInfo att)

      Description copied from interface: `AttributeMap`
      Replace or add an attribute, to create a new AttributeMap
      Specified by:
        `put` in interface `AttributeMap`
      Parameters:
        `att` - the attribute to be added or replaced
      Returns:
        the new AttributeMap

    - #### remove

          public AttributeMap remove​(NodeName name)

      Description copied from interface: `AttributeMap`
      Remove an existing attribute, to create a new AttributeMap
      Specified by:
        `remove` in interface `AttributeMap`
      Parameters:
        `name` - the name of the attribute to be removed (if it exists)
      Returns:
        a new attribute map in which the specified attribute is omitted. If the attribute map contains no attribute with the given name, the input attribute map (or one equivalent to it) is returned unchanged

    - #### iterator

          public java.util.Iterator<AttributeInfo> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<AttributeInfo>`

    - #### apply

          public AttributeMap apply​(java.util.function.Function<AttributeInfo,​AttributeInfo> mapper)

      Specified by:
        `apply` in interface `AttributeMap`